org.apache.hadoop.yarn.service.api.records

## Class ServiceStatus

- java.lang.Object
- - org.apache.hadoop.yarn.service.api.records.BaseResource
  - - org.apache.hadoop.yarn.service.api.records.ServiceStatus

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public class ServiceStatus
      extends BaseResource

  The current status of a submitted service, returned as a response to the GET API.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceStatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServiceStatus` | `code(Integer code)` An error code specific to a scenario which service owners should be able to use to understand the failure in addition to the diagnostic information.
    `ServiceStatus` | `diagnostics(String diagnostics)` Diagnostic information (if any) for the reason of the current state of the service.
    `boolean` | `equals(Object o)`
    `Integer` | `getCode()`
    `String` | `getDiagnostics()`
    `ServiceState` | `getState()`
    `int` | `hashCode()`
    `void` | `setCode(Integer code)`
    `void` | `setDiagnostics(String diagnostics)`
    `void` | `setState(ServiceState state)`
    `ServiceStatus` | `state(ServiceState state)` Service state.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.service.api.records.BaseResource

      `getUri, setUri`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceStatus

          public ServiceStatus()

  - ### Method Detail

    - #### diagnostics

          public ServiceStatus diagnostics(String diagnostics)

      Diagnostic information (if any) for the reason of the current state of the service. It typically has a non-null value, if the service is in a non-running state.

    - #### getDiagnostics

          public String getDiagnostics()

    - #### setDiagnostics

          public void setDiagnostics(String diagnostics)

    - #### state

          public ServiceStatus state(ServiceState state)

      Service state.

    - #### getState

          public ServiceState getState()

    - #### setState

          public void setState(ServiceState state)

    - #### code

          public ServiceStatus code(Integer code)

      An error code specific to a scenario which service owners should be able to use to understand the failure in addition to the diagnostic information.

    - #### getCode

          public Integer getCode()

    - #### setCode

          public void setCode(Integer code)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BaseResource`

Copyright © 2022 Apache Software Foundation. All rights reserved.